Subject: [PATCH RFC net-next 0/4] net: xpcs: cleanups and partial support for KSZ9477

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 5 Feb 2025 13:27:26 +0000

This series cleans up the TXGBE configuration for SGMII modes, and then
extends that for KSZ9477's "manual" mode. Finally, we add the necessary
settings for KSZ9477 to work with 1000BASE-X which should cause no
issues for other integrations.

Work for Microchip to do before this series can be merged:

1. work out how to identify their XPCS integration from other
   integrations, so allowing MAC_MANUAL SGMII mode to be selected.
2. verify where the requirement for setting the two bits for 1000BASE-X
   has come from (from what Jose has said, we don't believe it's from
   Synopsys.)

 drivers/net/pcs/pcs-xpcs.c | 64 ++++++++++++++++++++++++++++++++++------------
 drivers/net/pcs/pcs-xpcs.h | 28 ++++++++++++++++++++
 2 files changed, 75 insertions(+), 17 deletions(-)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!